#ifndef TOUCH_H_
#define TOUCH_H_

#define AMP_DEFAULT_TOUCH_PIN       101

#define AMP_BAD_CALLBACK            -1
#define AMP_BAD_TOUCH_PIN           -2
#define AMP_BAD_SPI_CS              -3
#define AMP_BAD_SPI_CLK             -4
#define AMP_BAD_SPI_RXD             -5
#define AMP_BAD_SPI_TXD             -6
#define AMP_UNABLE_TO_REGISTER_SPI  -7
#define AMP_MALLOC_ERROR            -8
#define AMP_THREAD_ERROR            -9

typedef void(*AMP_touch_callback)(int x, int y, int up);

int amp_setupTouch(void *callback, int touch);

#endif /*TOUCH_H_*/
